GNUMERIC(1)

NOM
gnumeric — Un tableur pour GNOME

SYNOPSIS
gnumeric [OPTIONS] [fichiers ... ]

DESCRIPTION
gnumeric est un tableur puissant créé par le projet GNOME. gnumeric tend à rivaliser avec les tableurs commerciaux par sa compatibilité complète avec Microsoft Excel(TM) et par sa prise en charge des formats de fichier des tableurs les plus populaires comme Excel(TM), Lotus 1-2-3(TM), Applix(TM), Sylk(TM), XBase(TM), Oleo(TM) et OpenOffice.org. gnumeric permet des calculs complexes en utilisant des fonctions statistiques, financières et d’accès aux bases de données. Les données de graphique sont prises en charge à l’aide d’un système de tracé incomplet mais puissant. Un système de greffons permet d’ajouter des fonctionnalités à gnumeric, en permettant par exemple l’exportation de données vers le format \longtable de LaTeX. Les greffons permettent de définir des fonctionnalités personnalisées. Une API rudimentaire d’écriture de scripts pour le langage Python existe et sera étoffée dans un futur proche. gnumeric étant un logiciel libre, un programmeur compétent peut aussi lui ajouter des fonctionnalités directement au niveau du code source. Le programme peut être lancé depuis la ligne de commande par le terme gnumeric ou depuis un des menus proposés par la plateforme sous-jacente. Lorsqu’il est lancé depuis la ligne de commande, gnumeric peut être suivi d’options parmi celles listées ci-après, et éventuellement de noms de fichiers des différents formats de tableur qui seront alors immédiatement ouverts. Par exemple, la commande :
    gnumeric mon_fichier.gnumeric lance gnumeric et ouvre le fichier nommé mon_fichier.gnumeric. Le format de fichier par défaut de gnumeric est en XML (« Extensible Markup Language ») compressé ensuite par gzip(1).

OPTIONS DE L’UTILISATEUR
Ce programme respecte la syntaxe de ligne de commande GNU habituelle : les options à lettre unique commencent par un tiret unique (« - ») et les options longues par deux tirets (« -- »).

  Options d’aide
-?, --help Afficher un message d’aide.

--usage
    Afficher un bref message d’utilisation.

  Options de gnumeric

-v, --version
    Afficher le numéro de la version de gnumeric installée.

--no-splash
    Lancer gnumeric sans afficher l’écran de démarrage. Normalement, l’écran de démarrage est affiché quand le chargement des fichiers prend trop de temps.

  Options pour le placement de la fenêtre

-g, --geometry=LARGEURxHAUTEUR+X+Y
    Définir la taille et la position de la fenêtre initiale. Toutes les valeurs ont pour unité le pixel. L’abscisse X est relative au bord gauche de l’écran et l’ordonnée Y est relative au bord supérieur de l’écran. Par exemple, -g 800x600+20+30 ouvre une fenêtre gnumeric large de 800 pixels et haute de 600 pixels, le bord gauche de la fenêtre gnumeric étant à 20 pixels du bord gauche de l’écran et son bord supérieur à 30 pixels du bord supérieur de l’écran.

--display=DISPLAY
    Le « display » X à utiliser où DISPLAY est de la forme « nom_machine:display_X.screen ». Notez que la machine sur laquelle s’affiche la fenêtre de gnumeric doit avoir accordé le droit d’affichage (voir xhost(1)) à la machine qui exécute gnumeric.

--screen=SCREEN
    Le « screen » X à utiliser ; une forme plus compacte de l’option décrite ci-avant.

OPTIONS AVANCÉES

  Options de GNOME

--disable-sound
    Désactiver l’utilisation du serveur de son.

--enable-sound
    Activer l’utilisation du serveur de son.

--espeaker=NOM_HÔTE:PORT
    Le NOM_HÔTE:PORT sur lequel le serveur de son à utiliser s’exécute.

--disable-crash-dialog
    Désactiver la boîte de dialogue de soumission de bogue qui apparaît lors d’un plantage de gnumeric.

  Options de GTK

--gdk-debug=COMMUTATEURS
    Les COMMUTATEURS de débogage de GDK à activer.

--gdk-no-debug=COMMUTATEURS
    Les COMMUTATEURS de débogage de GDK à désactiver.

--sync
    Rendre les appels X synchrones.

--name=NOM
    Le nom du programme tel qu’utilisé par le gestionnaire de fenêtres.

--class=CLASSE
    La classe du programme telle qu’utilisée par le gestionnaire de fenêtres.

--gxid_host=HÔTE
    L’hôte sur lequel contacter le démon gxid. Cette option l’emporte sur la variable d’environnement GXID_HOST. Elle n’est disponible que si GTK+ a été configuré avec « --gdk-target=x11 ».

--gxid_port=PORT
    Le PORT pour la connexion au démon gxid. Cette option l’emporte sur la variable d’environnement GXID_PORT. Elle n’est disponible que si GTK+ a été configuré avec « --gdk-target=x11 ».

--gtk-debug=COMMUTATEURS
    Les COMMUTATEURS de débogage de GTK+ à activer.

--gtk-no-debug=COMMUTATEURS
    Les COMMUTATEURS de débogage de GTK+ à désactiver.

--g-fatal-warnings
    Rendre tous les avertissements fatals.

--gtk-module=MODULE
    Charger le MODULE supplémentaire de GTK spécifié.

  Options de gestion de la session

--sm-client-id=IDENTIFIANT
    Cette option permet de spécifier l’IDENTIFIANT de gestion de la session.

--sm-config-prefix=PRÉFIXE
    Cette option permet de spécifier le préfixe de la configuration sauvegardée.

--sm-disable
    Désactiver la connexion au gestionnaire de session.

VERSION
Cette page de manuel décrit la version 1.8 de gnumeric.

BOGUES
Pour la liste des bogues de gnumeric connus ou pour en signaler de nouveaux, rendez-vous à « https://gnome.pages.gitlab.gnome.org/gnumeric-web/ ».

VOIR AUSSI
ssconvert(1), ssindex(1), ssdiff(1) ssgrep(1)

Le manuel de Gnumeric Disponible à partir du menu Aide ou en ligne à

LICENCE
gnumeric est distribué sous les termes de la General Public License (GPL), version 2 ou 3. Pour des informations à propos de cette licence, consulter le code source fourni avec ce logiciel ou la

COPYRIGHT
Les droits d’auteur du logiciel gnumeric et de son code source sont détenus par les auteurs individuels comme indiqué dans le code source.

AUTEURS

  Gnumeric
Jody Goldberg <jody@gnome.org>
Miguel de Icaza <miguel@gnome.org>
Morten Welinder <terra@gnome.org>
... et de nombreux autres. Pour une liste plus complète, voir la boîte de dialogue « À propos ».

  Cette page de manuel
Jan Schaumann <jschauma@netmeister.org>
Adrian Custer <acuster@gnome.org>

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.